//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca

#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */



// ******************************************************** 
//  Initialize Free running Timmer with clock free of 24MHz
// ********************************************************

void Timer_Init(void)
  {
  
   	TSCR2=0x81;     // enable timer overflow interrupt, set D7 bit =1
			              // Set prescalar to divide by 2, by making PR0=1
   	                // i.e 24MHz/2= 12MHz with time period
   	                // 1/12MHz= .0833usec so overflow
   	                // timeperiod is .0833usec*65535= 5.46msec
  	
  	TSCR1 = 0x80;   // Enable timer

  	TFLG2= 0x80;    // set timer overflow flag
  }
