//             TECHNOLOGICAL ARTS
//              +1(416) 963-8996 
//	        www.technologicalarts.ca

#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */


 void PORT_Init(void)
{
  ATD0DIEN=0xFF; 

  DDRS|=0xF0;  // initialize port S D7-D4 as output  
  PTS&=0x0F;   // Used for sending instruction or data to Lcd in 4 bit mode  
  
  DDRP|=0x07;  // initialize port P D0,D1,D2 as ouput for controlling Lcd
  PTP&=0xF8;   // D0-R/W, D1-EN, D2-RS
  
  DDRH=0xFF;   // initialize port H as output
  
}

// PORT_Init();